Summary:	audioscrobbler.com plugin for XMMS
Summary(pl.UTF-8):	Wtyczka dla XMMS-a obsługująca serwis audioscrobbler.com
Name:		xmms-general-audioscrobbler
Version:	0.3.6
Release:	14
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://static.audioscrobbler.com/plugins/xmms-scrobbler-%{version}.tar.bz2
# Source0-md5:	eb5b53815eb91f5294f76ca424369b7f
URL:		http://www.audioscrobbler.com/
BuildRequires:	bc
BuildRequires:	curl-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libmusicbrainz-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin adds audioscrobbler.com profile support to xmms.

%description -l pl.UTF-8
Ta wtyczka pozwala XMMS-owi na obsługę profili audioscrobbler.com.

%prep
%setup -q -n xmms-scrobbler-%{version}

%build
#%{__aclocal}
#%{__autoconf}
#%{__autoheader}
#%{__automake}
%configure \
	--disable-bmp-plugin

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{xmms_general_plugindir}/*
%changelog
* Sat Sep 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmms-general-audioscrobbler.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 08d6ee9
- rebuild with openssl 3.0.0

* Sun Feb 10 2019 Jan Rękorajski <baggins@pld-linux.org> ba4754e
- release 13 (by relup.sh)

* Tue Jan 22 2019 Jan Rękorajski <baggins@pld-linux.org> 5d8ad27
- rebuild with libidn2 2.1.0
- release 12 (by relup.sh)

* Sun Jan 20 2019 Jan Rękorajski <baggins@pld-linux.org> 535be5e
- release 11 (by relup.sh)

* Tue Jan 15 2019 Adam Gołębiowski <adamg@pld-linux.org> d39200a
- release 10 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bdbd43
- release 9 (by relup.sh)

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 89fce0a
- release 8 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b07054b
- release 7

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> a03ef65
- release 6

* Fri May 14 2010 sparky <sparky@pld-linux.org> 81d40d1
- BR: bc
- dropped unused BR: autoconf, automake

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d5b49c1
- release 5

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 41f66cb
- release 4

* Tue Jul 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a53a9e1
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8c5dbef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b96c7f0
- converted to UTF-8

* Sun Jan 16 2005 Patryk Zawadzki <patrys@room-303.com> 1a6ce75
- rel. up to 2
- fixed building of xmms and bmp plugin separately

* Tue Dec 14 2004 Patryk Zawadzki <patrys@room-303.com> 3877305
- version up to 0.3.6
- STBR

* Tue Dec 07 2004 kolodko <kolodko@pld-linux.org> 6cc6fea
- rm COPYING (GPL)

* Tue Dec 07 2004 Patryk Zawadzki <patrys@room-303.com> 55e8909
- initial PLD release
- STBR

